at.chipkarte.client.ebs.soap

## Class GenerelleMedizinischeAntragsdaten

- Object
- - at.chipkarte.client.ebs.soap.GenerelleMedizinischeAntragsdaten

-     public class GenerelleMedizinischeAntragsdaten
      extends Object

  Dient der Ein- und Ausgabe genereller medizinischer Daten eines Antrages (diese Parameter sind in jedem Antrag vorhanden).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerelleMedizinischeAntragsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnamnese()` Anamnese.
    `String` | `getDiagnose()` Diagnose.
    `String` | `getDiagnosecodierung()` Diagnose als Diagnosecode.
    `String` | `getErstellungsgrund()` Anmerkung/Begründung/konkrete Fragestellung.
    `MedizinischeDatenerweiterung[]` | `getWeitereMedizinischeDaten()` Weitere medizinische Informationen, die aufgrund unterschiedlicher Schnittstellenversionen zwischen Erstellung und Abfrage nicht als eigenes Attribut übermittelt werden könnten.
    `void` | `setAnamnese(String anamnese)`
    `void` | `setDiagnose(String diagnose)`
    `void` | `setDiagnosecodierung(String diagnosecodierung)`
    `void` | `setErstellungsgrund(String erstellungsgrund)`
    `void` | `setWeitereMedizinischeDaten(MedizinischeDatenerweiterung[] weitereMedizinischeDaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerelleMedizinischeAntragsdaten

          public GenerelleMedizinischeAntragsdaten()

  - ### Method Detail

    - #### getAnamnese

          public String getAnamnese()

      Anamnese.
      Angabe: Bedingt. Muss angegeben werden bei Antragstyp gleich "ROET".
      Format: 1000-stellig
      Returns:
        Anamnese.

    - #### setAnamnese

          public void setAnamnese(String anamnese)

    - #### getDiagnose

          public String getDiagnose()

      Diagnose.
      Angabe: Bedingt. Diagnose und/oder Diagnosecode muss angegeben werden.
      Format: 1000-stellig
      Returns:
        Diagnose.

    - #### setDiagnose

          public void setDiagnose(String diagnose)

    - #### getDiagnosecodierung

          public String getDiagnosecodierung()

      Diagnose als Diagnosecode.
      Angabe: Bedingt. Diagnose und/oder Diagnosecode muss angegeben werden.
      Format: 7-stellig
      Returns:
        Diagnosecodierung.

    - #### setDiagnosecodierung

          public void setDiagnosecodierung(String diagnosecodierung)

    - #### getErstellungsgrund

          public String getErstellungsgrund()

      Anmerkung/Begründung/konkrete Fragestellung.
      Angabe: Bedingt. Muss angegeben werden, wenn Antragstyp ungleich "ROET".
      Format: 1000-stellig
      Returns:
        Erstellungsgrund.

    - #### setErstellungsgrund

          public void setErstellungsgrund(String erstellungsgrund)

    - #### getWeitereMedizinischeDaten

          public MedizinischeDatenerweiterung[] getWeitereMedizinischeDaten()

      Weitere medizinische Informationen, die aufgrund unterschiedlicher Schnittstellenversionen zwischen Erstellung und Abfrage nicht als eigenes Attribut übermittelt werden könnten. Siehe `MedizinischeDatenerweiterung`.
      Wird bei Bedarf bei Retournierung gesetzt. Wird bei Eingabe ignoriert.
      Angabe: Kann.
      0 bis n Elemente.
      Returns:
        WeitereMedizinischeDaten.

    - #### setWeitereMedizinischeDaten

          public void setWeitereMedizinischeDaten(MedizinischeDatenerweiterung[] weitereMedizinischeDaten)